Package net.shibboleth.idp.spring

# Class DeprecatedPropertyBean

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.idp.spring.DeprecatedPropertyBean

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `Aware`, `ApplicationContextAware`

public class DeprecatedPropertyBean extends AbstractInitializableComponent implements ApplicationContextAware
A bean that emits deprecation warnings if a configurable set of properties are set.

## Field Summary

Fields
Modifier and Type
Field
Description
`private ApplicationContext`
`applicationContext`
Spring context.
`private Collection<String>`
`deadProperties`
Dead properties.
`private Map<String,String>`
`deprecatedProperties`
Deprecated properties.
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`DeprecatedPropertyBean()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`void`
`setApplicationContext(ApplicationContext context)`
`void`
`setDeadProperties(Collection<String> properties)`
Set the property names to treat as defunct.
`void`
`setDeprecatedProperties(Map<String,String> map)`
Set the property names to deprecate, along with an optional replacement.

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### applicationContext

@Nullable private ApplicationContext applicationContext
Spring context.

### deprecatedProperties

@Nonnull private Map<String,String> deprecatedProperties
Deprecated properties.

### deadProperties

@Nonnull private Collection<String> deadProperties
Dead properties.

## Constructor Details

### DeprecatedPropertyBean

public DeprecatedPropertyBean()
Constructor.

## Method Details

### setDeprecatedProperties

public void setDeprecatedProperties(@Nonnull Map<String,String> map)
Set the property names to deprecate, along with an optional replacement.

Parameters:
  `map` - deprecated property names and replacements

### setDeadProperties

public void setDeadProperties(@Nonnull Collection<String> properties)
Set the property names to treat as defunct.

Parameters:
  `properties` - defunct property names

### setApplicationContext

public void setApplicationContext(@Nonnull ApplicationContext context)

Specified by:
  `setApplicationContext` in interface `ApplicationContextAware`

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractInitializableComponent`
Throws:
  `ComponentInitializationException`